Bug 1528400 - Review Request: zabbix30 - Open-source monitoring solution for your IT infrastructure
Summary: Review Request: zabbix30 - Open-source monitoring solution for your IT infras...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1466273 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-21 18:46 UTC by Orion Poplawski
Modified: 2018-10-05 17:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-05 17:19:43 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Orion Poplawski 2017-12-21 18:46:15 UTC
Spec URL: https://www.cora.nwra.com/~orion/fedora/zabbix30.spec
SRPM URL: https://www.cora.nwra.com/~orion/fedora/zabbix30-3.0.13-1.el7.src.rpm
Description:
Zabbix is software that monitors numerous parameters of a network and the
health and integrity of servers. Zabbix uses a flexible notification mechanism
that allows users to configure e-mail based alerts for virtually any event.
This allows a fast reaction to server problems. Zabbix offers excellent
reporting and data visualization features based on the stored data.
This makes Zabbix ideal for capacity planning.

Zabbix supports both polling and trapping. All Zabbix reports and statistics,
as well as configuration parameters are accessed through a web-based front end.
A web-based front end ensures that the status of your network and the health of
your servers can be assessed from any location. Properly configured, Zabbix can
play an important role in monitoring IT infrastructure. This is equally true
for small organizations with a few servers and for large companies with a
multitude of servers.

Fedora Account System Username: orion

This is an EPEL only package of the latest Zabbix LTS release.

Scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=23829006

Server still has selinux issues, waiting for bug 1504074

Comment 1 Orion Poplawski 2017-12-21 18:46:56 UTC
*** Bug 1466273 has been marked as a duplicate of this bug. ***

Comment 2 Orion Poplawski 2017-12-21 18:47:55 UTC
# audit2allow -M zabbix_bug1504074 
type=AVC msg=audit(1513881062.474:195407): avc:  denied  { setrlimit } for  pid=31019 comm="zabbix_server" scontext=system_u:system_r:zabbix_t:s0 tcontext=system_u:system_r:zabbix_t:s0 tclass=process
# semodule -i zabbix_bug1504074.pp

Comment 4 Orion Poplawski 2018-09-18 15:19:07 UTC
Spec URL: https://www.cora.nwra.com/~orion/fedora/zabbix30.spec
SRPM URL: https://www.cora.nwra.com/~orion/fedora/zabbix30-3.0.22-1.el7.src.rpm

* Tue Sep 18 2018 Orion Poplawski <orion@nwra.com> - 3.0.22-1
- Updaate to 3.0.22

Comment 5 Robert-André Mauchin 2018-09-18 19:16:12 UTC
Requires(post):      systemd
Requires(preun):     systemd
Requires(postun):    systemd

→ Use %{?systemd_requires}

 - License file COPYING must be installed with %license, not %doc

 - Add gcc as a BR

 - Package must use system-wide ciphers:

zabbix30.x86_64: W: crypto-policy-non-compliance-openssl /usr/bin/zabbix_get SSL_CTX_set_cipher_list
zabbix30.x86_64: W: crypto-policy-non-compliance-openssl /usr/bin/zabbix_sender SSL_CTX_set_cipher_list

crypto-policy-non-compliance-openssl:
This application package calls a function to explicitly set crypto ciphers for
SSL/TLS. That may cause the application not to use the system-wide set
cryptographic policy and should be modified in accordance to:
https://fedoraproject.org/wiki/Packaging:CryptoPolicies




Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
- If your application is a C or C++ application you must list a
  BuildRequires against gcc, gcc-c++ or clang.
  Note: No gcc, gcc-c++ or clang found in BuildRequires
  See: https://fedoraproject.org/wiki/Packaging:C_and_C%2B%2B
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file COPYING is not marked as %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "FSF All Permissive", "GPL (v2 or
     later)", "Unknown or generated", "zlib/libpng". 629 files have unknown
     license. Detailed output of licensecheck in
     /home/bob/packaging/review/zabbix30/review-zabbix30/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 911360 bytes in 13 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in zabbix30
     -dbfiles-mysql , zabbix30-dbfiles-pgsql , zabbix30-dbfiles-sqlite3 ,
     zabbix30-server , zabbix30-server-mysql , zabbix30-server-pgsql ,
     zabbix30-agent , zabbix30-proxy , zabbix30-proxy-mysql , zabbix30
     -proxy-pgsql , zabbix30-proxy-sqlite3 , zabbix30-web , zabbix30-web-
     mysql , zabbix30-web-pgsql , zabbix30-debuginfo , zabbix30-debugsource
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[ ]: Files in /run, var/run and /var/lock uses tmpfiles.d when appropriate
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: zabbix30-3.0.22-1.fc30.x86_64.rpm
          zabbix30-dbfiles-mysql-3.0.22-1.fc30.noarch.rpm
          zabbix30-dbfiles-pgsql-3.0.22-1.fc30.noarch.rpm
          zabbix30-dbfiles-sqlite3-3.0.22-1.fc30.noarch.rpm
          zabbix30-server-3.0.22-1.fc30.noarch.rpm
          zabbix30-server-mysql-3.0.22-1.fc30.x86_64.rpm
          zabbix30-server-pgsql-3.0.22-1.fc30.x86_64.rpm
          zabbix30-agent-3.0.22-1.fc30.x86_64.rpm
          zabbix30-proxy-3.0.22-1.fc30.noarch.rpm
          zabbix30-proxy-mysql-3.0.22-1.fc30.x86_64.rpm
          zabbix30-proxy-pgsql-3.0.22-1.fc30.x86_64.rpm
          zabbix30-proxy-sqlite3-3.0.22-1.fc30.x86_64.rpm
          zabbix30-web-3.0.22-1.fc30.noarch.rpm
          zabbix30-web-mysql-3.0.22-1.fc30.noarch.rpm
          zabbix30-web-pgsql-3.0.22-1.fc30.noarch.rpm
          zabbix30-debuginfo-3.0.22-1.fc30.x86_64.rpm
          zabbix30-debugsource-3.0.22-1.fc30.x86_64.rpm
          zabbix30-3.0.22-1.fc30.src.rpm
zabbix30.x86_64: W: spelling-error %description -l en_US Zabbix -> Zambia
zabbix30.x86_64: W: crypto-policy-non-compliance-openssl /usr/bin/zabbix_get SSL_CTX_set_cipher_list
zabbix30.x86_64: W: crypto-policy-non-compliance-openssl /usr/bin/zabbix_sender SSL_CTX_set_cipher_list
zabbix30-dbfiles-mysql.noarch: W: spelling-error Summary(en_US) Zabbix -> Zambia
zabbix30-dbfiles-mysql.noarch: W: spelling-error Summary(en_US) schemas -> schema, sachems, schemes
zabbix30-dbfiles-mysql.noarch: W: spelling-error %description -l en_US Zabbix -> Zambia
zabbix30-dbfiles-mysql.noarch: W: spelling-error %description -l en_US schemas -> schema, sachems, schemes
zabbix30-dbfiles-mysql.noarch: E: non-executable-script /usr/share/zabbix-mysql/upgrades/1.8/upgrade 644 /bin/bash 
zabbix30-dbfiles-mysql.noarch: E: non-executable-script /usr/share/zabbix-mysql/upgrades/2.0/upgrade 644 /bin/bash 
zabbix30-dbfiles-pgsql.noarch: W: spelling-error Summary(en_US) Zabbix -> Zambia
zabbix30-dbfiles-pgsql.noarch: W: spelling-error Summary(en_US) schemas -> schema, sachems, schemes
zabbix30-dbfiles-pgsql.noarch: W: spelling-error %description -l en_US Zabbix -> Zambia
zabbix30-dbfiles-pgsql.noarch: W: spelling-error %description -l en_US schemas -> schema, sachems, schemes
zabbix30-dbfiles-sqlite3.noarch: W: spelling-error Summary(en_US) Zabbix -> Zambia
zabbix30-dbfiles-sqlite3.noarch: W: spelling-error Summary(en_US) schemas -> schema, sachems, schemes
zabbix30-dbfiles-sqlite3.noarch: W: spelling-error %description -l en_US Zabbix -> Zambia
zabbix30-dbfiles-sqlite3.noarch: W: spelling-error %description -l en_US schemas -> schema, sachems, schemes
zabbix30-server.noarch: W: spelling-error Summary(en_US) Zabbix -> Zambia
zabbix30-server.noarch: W: spelling-error %description -l en_US Zabbix -> Zambia
zabbix30-server.noarch: E: incoherent-logrotate-file /etc/logrotate.d/zabbix-server
zabbix30-server.noarch: W: non-standard-gid /etc/zabbix_server.conf zabbixsrv
zabbix30-server.noarch: E: non-readable /etc/zabbix_server.conf 640
zabbix30-server.noarch: W: non-standard-uid /run/zabbixsrv zabbixsrv
zabbix30-server.noarch: W: non-standard-gid /run/zabbixsrv zabbixsrv
zabbix30-server.noarch: W: non-standard-uid /var/lib/zabbixsrv zabbixsrv
zabbix30-server.noarch: W: non-standard-gid /var/lib/zabbixsrv zabbixsrv
zabbix30-server.noarch: E: non-standard-dir-perm /var/lib/zabbixsrv 750
zabbix30-server.noarch: W: non-standard-uid /var/lib/zabbixsrv/alertscripts zabbixsrv
zabbix30-server.noarch: W: non-standard-gid /var/lib/zabbixsrv/alertscripts zabbixsrv
zabbix30-server.noarch: E: non-standard-dir-perm /var/lib/zabbixsrv/alertscripts 750
zabbix30-server.noarch: W: non-standard-uid /var/lib/zabbixsrv/externalscripts zabbixsrv
zabbix30-server.noarch: W: non-standard-gid /var/lib/zabbixsrv/externalscripts zabbixsrv
zabbix30-server.noarch: E: non-standard-dir-perm /var/lib/zabbixsrv/externalscripts 750
zabbix30-server.noarch: W: non-standard-uid /var/lib/zabbixsrv/tmp zabbixsrv
zabbix30-server.noarch: W: non-standard-gid /var/lib/zabbixsrv/tmp zabbixsrv
zabbix30-server.noarch: E: non-standard-dir-perm /var/lib/zabbixsrv/tmp 750
zabbix30-server.noarch: W: non-standard-gid /var/log/zabbixsrv zabbixsrv
zabbix30-server.noarch: E: non-standard-dir-perm /var/log/zabbixsrv 775
zabbix30-server.noarch: W: dangerous-command-in-%post chmod
zabbix30-server-mysql.x86_64: W: spelling-error Summary(en_US) Zabbix -> Zambia
zabbix30-server-mysql.x86_64: W: spelling-error %description -l en_US Zabbix -> Zambia
zabbix30-server-mysql.x86_64: W: crypto-policy-non-compliance-openssl /usr/sbin/zabbix_server_mysql SSL_CTX_set_cipher_list
zabbix30-server-mysql.x86_64: W: no-documentation
zabbix30-server-mysql.x86_64: W: no-manual-page-for-binary zabbix_server_mysql
zabbix30-server-pgsql.x86_64: W: spelling-error Summary(en_US) Zabbix -> Zambia
zabbix30-server-pgsql.x86_64: W: spelling-error %description -l en_US Zabbix -> Zambia
zabbix30-server-pgsql.x86_64: W: crypto-policy-non-compliance-openssl /usr/sbin/zabbix_server_pgsql SSL_CTX_set_cipher_list
zabbix30-server-pgsql.x86_64: W: no-documentation
zabbix30-server-pgsql.x86_64: W: no-manual-page-for-binary zabbix_server_pgsql
zabbix30-agent.x86_64: W: spelling-error Summary(en_US) Zabbix -> Zambia
zabbix30-agent.x86_64: W: spelling-error %description -l en_US Zabbix -> Zambia
zabbix30-agent.x86_64: W: crypto-policy-non-compliance-openssl /usr/sbin/zabbix_agentd SSL_CTX_set_cipher_list
zabbix30-agent.x86_64: E: incoherent-logrotate-file /etc/logrotate.d/zabbix-agent
zabbix30-agent.x86_64: W: non-standard-uid /run/zabbix zabbix
zabbix30-agent.x86_64: W: non-standard-gid /run/zabbix zabbix
zabbix30-agent.x86_64: W: non-standard-uid /var/lib/zabbix zabbix
zabbix30-agent.x86_64: W: non-standard-gid /var/lib/zabbix zabbix
zabbix30-agent.x86_64: E: non-standard-dir-perm /var/lib/zabbix 750
zabbix30-agent.x86_64: W: non-standard-gid /var/log/zabbix zabbix
zabbix30-agent.x86_64: E: non-standard-dir-perm /var/log/zabbix 775
zabbix30-proxy.noarch: W: spelling-error Summary(en_US) Zabbix -> Zambia
zabbix30-proxy.noarch: W: spelling-error %description -l en_US Zabbix -> Zambia
zabbix30-proxy.noarch: W: spelling-error %description -l en_US commmon -> common, Commons, commotion
zabbix30-proxy.noarch: E: incoherent-logrotate-file /etc/logrotate.d/zabbix-proxy
zabbix30-proxy.noarch: W: non-standard-gid /etc/zabbix_proxy.conf zabbixsrv
zabbix30-proxy.noarch: E: non-readable /etc/zabbix_proxy.conf 640
zabbix30-proxy.noarch: W: non-standard-uid /run/zabbixsrv zabbixsrv
zabbix30-proxy.noarch: W: non-standard-gid /run/zabbixsrv zabbixsrv
zabbix30-proxy.noarch: W: non-standard-uid /var/lib/zabbixsrv zabbixsrv
zabbix30-proxy.noarch: W: non-standard-gid /var/lib/zabbixsrv zabbixsrv
zabbix30-proxy.noarch: E: non-standard-dir-perm /var/lib/zabbixsrv 750
zabbix30-proxy.noarch: W: non-standard-uid /var/lib/zabbixsrv/alertscripts zabbixsrv
zabbix30-proxy.noarch: W: non-standard-gid /var/lib/zabbixsrv/alertscripts zabbixsrv
zabbix30-proxy.noarch: E: non-standard-dir-perm /var/lib/zabbixsrv/alertscripts 750
zabbix30-proxy.noarch: W: non-standard-uid /var/lib/zabbixsrv/externalscripts zabbixsrv
zabbix30-proxy.noarch: W: non-standard-gid /var/lib/zabbixsrv/externalscripts zabbixsrv
zabbix30-proxy.noarch: E: non-standard-dir-perm /var/lib/zabbixsrv/externalscripts 750
zabbix30-proxy.noarch: W: non-standard-uid /var/lib/zabbixsrv/tmp zabbixsrv
zabbix30-proxy.noarch: W: non-standard-gid /var/lib/zabbixsrv/tmp zabbixsrv
zabbix30-proxy.noarch: E: non-standard-dir-perm /var/lib/zabbixsrv/tmp 750
zabbix30-proxy.noarch: W: non-standard-gid /var/log/zabbixsrv zabbixsrv
zabbix30-proxy.noarch: E: non-standard-dir-perm /var/log/zabbixsrv 775
zabbix30-proxy.noarch: W: dangerous-command-in-%post chmod
zabbix30-proxy-mysql.x86_64: W: spelling-error Summary(en_US) Zabbix -> Zambia
zabbix30-proxy-mysql.x86_64: W: spelling-error %description -l en_US Zabbix -> Zambia
zabbix30-proxy-mysql.x86_64: W: crypto-policy-non-compliance-openssl /usr/sbin/zabbix_proxy_mysql SSL_CTX_set_cipher_list
zabbix30-proxy-mysql.x86_64: W: no-documentation
zabbix30-proxy-mysql.x86_64: W: no-manual-page-for-binary zabbix_proxy_mysql
zabbix30-proxy-pgsql.x86_64: W: spelling-error Summary(en_US) Zabbix -> Zambia
zabbix30-proxy-pgsql.x86_64: W: spelling-error %description -l en_US Zabbix -> Zambia
zabbix30-proxy-pgsql.x86_64: W: crypto-policy-non-compliance-openssl /usr/sbin/zabbix_proxy_pgsql SSL_CTX_set_cipher_list
zabbix30-proxy-pgsql.x86_64: W: no-documentation
zabbix30-proxy-pgsql.x86_64: W: no-manual-page-for-binary zabbix_proxy_pgsql
zabbix30-proxy-sqlite3.x86_64: W: spelling-error Summary(en_US) Zabbix -> Zambia
zabbix30-proxy-sqlite3.x86_64: W: spelling-error %description -l en_US Zabbix -> Zambia
zabbix30-proxy-sqlite3.x86_64: W: crypto-policy-non-compliance-openssl /usr/sbin/zabbix_proxy_sqlite3 SSL_CTX_set_cipher_list
zabbix30-proxy-sqlite3.x86_64: W: no-documentation
zabbix30-proxy-sqlite3.x86_64: W: no-manual-page-for-binary zabbix_proxy_sqlite3
zabbix30-web.noarch: W: spelling-error Summary(en_US) Zabbix -> Zambia
zabbix30-web.noarch: W: spelling-error %description -l en_US frontend -> fronted, front end, front-end
zabbix30-web.noarch: W: no-documentation
zabbix30-web.noarch: E: non-standard-dir-perm /etc/zabbix/web 750
zabbix30-web.noarch: W: dangling-symlink /usr/share/zabbix/fonts/DejaVuSans.ttf /usr/share/fonts/dejavu/DejaVuSans.ttf
zabbix30-web.noarch: E: htaccess-file /usr/share/zabbix/local/.htaccess
zabbix30-web.noarch: W: dangling-symlink /usr/share/zabbix/local/local /usr/local/share/zabbix/local
zabbix30-web-mysql.noarch: W: spelling-error Summary(en_US) Zabbix -> Zambia
zabbix30-web-mysql.noarch: W: spelling-error Summary(en_US) frontend -> fronted, front end, front-end
zabbix30-web-mysql.noarch: W: spelling-error %description -l en_US Zabbix -> Zambia
zabbix30-web-mysql.noarch: W: spelling-error %description -l en_US frontend -> fronted, front end, front-end
zabbix30-web-mysql.noarch: W: obsolete-not-provided zabbix30-web
zabbix30-web-mysql.noarch: W: no-documentation
zabbix30-web-pgsql.noarch: W: spelling-error Summary(en_US) Zabbix -> Zambia
zabbix30-web-pgsql.noarch: W: spelling-error Summary(en_US) frontend -> fronted, front end, front-end
zabbix30-web-pgsql.noarch: W: spelling-error %description -l en_US Zabbix -> Zambia
zabbix30-web-pgsql.noarch: W: spelling-error %description -l en_US frontend -> fronted, front end, front-end
zabbix30-web-pgsql.noarch: W: no-documentation
zabbix30.src: W: spelling-error %description -l en_US Zabbix -> Zambia
zabbix30.src:52: W: unversioned-explicit-provides bundled(md5-deutsch)
zabbix30.src:380: E: hardcoded-library-path in %{_prefix}/lib/tmpfiles.d
zabbix30.src:381: E: hardcoded-library-path in %{_prefix}/lib/tmpfiles.d/zabbix.conf
zabbix30.src:382: E: hardcoded-library-path in %{_prefix}/lib/tmpfiles.d/zabbixsrv.conf
zabbix30.src:627: E: hardcoded-library-path in %{_prefix}/lib/tmpfiles.d/zabbixsrv.conf
zabbix30.src:653: E: hardcoded-library-path in %{_prefix}/lib/tmpfiles.d/zabbix.conf
zabbix30.src:666: E: hardcoded-library-path in %{_prefix}/lib/tmpfiles.d/zabbixsrv.conf
18 packages and 0 specfiles checked; 27 errors, 97 warnings.

Comment 6 Orion Poplawski 2018-09-18 20:06:07 UTC
Thanks!

Spec URL: https://www.cora.nwra.com/~orion/fedora/zabbix30.spec
SRPM URL: https://www.cora.nwra.com/~orion/fedora/zabbix30-3.0.22-2.el7.src.rpm

* Tue Sep 18 2018 Orion Poplawski <orion@nwra.com> - 3.0.22-2
- Use %%{?systemd_requires}
- Use %%license
- BR gcc

https://fedoraproject.org/wiki/Packaging:CryptoPolicies is Fedora only, and does not apply to EPEL7.

Comment 7 Robert-André Mauchin 2018-09-18 20:42:58 UTC
All right, package is approved.

Comment 8 Gwyn Ciesla 2018-09-18 21:16:20 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/zabbix30

Comment 9 Fedora Update System 2018-09-18 21:40:55 UTC
zabbix30-3.0.22-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-39c65ddf94

Comment 10 Fedora Update System 2018-09-20 11:21:48 UTC
zabbix30-3.0.22-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-39c65ddf94

Comment 11 Fedora Update System 2018-10-05 17:19:43 UTC
zabbix30-3.0.22-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.